require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", true);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", true);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpCream", false);

SManager:AddMeal(MealType.STEAK, "steakZestyBBQ", false);
SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", true);
SManager:AddMeal(MealType.PASTA, "fettucine", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.MEAL);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");